<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/ApplicationUtilities/AndroidUtilities/test/AndroidUtilities/MockAndroidSLESObject.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_748b5abbb33df61eda67007924a1a0cb.html">ApplicationUtilities</a></li><li class="navelem"><a class="el" href="dir_29f233ec03ca42c38c01971e03438246.html">AndroidUtilities</a></li><li class="navelem"><a class="el" href="dir_ba991d363617c24a5edc675ea753ac04.html">test</a></li><li class="navelem"><a class="el" href="dir_e934f49e86460ee8cd6cf98b58604644.html">AndroidUtilities</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">MockAndroidSLESObject.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_mock_android_s_l_e_s_object_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_APPLICATIONUTILITIES_ANDROIDUTILITIES_TEST_ANDROIDUTILITIES_MOCKANDROIDSLESOBJECT_H_</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_APPLICATIONUTILITIES_ANDROIDUTILITIES_TEST_ANDROIDUTILITIES_MOCKANDROIDSLESOBJECT_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#include &lt;unordered_map&gt;</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;SLES/OpenSLES.h&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_mock_android_s_l_e_s_interface_8h.html">AndroidUtilities/MockAndroidSLESInterface.h</a>&gt;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">namespace </span>applicationUtilities {</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">namespace </span>androidUtilities {</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keyword">namespace </span>test {</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div><div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_mock_android_s_l_e_s_object.html">   33</a></span>&#160;<span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_mock_android_s_l_e_s_object.html">MockAndroidSLESObject</a> {</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_mock_android_s_l_e_s_object.html#a5a71cd269be06eeca4eba749148f819f">mockRealize</a>(<span class="keywordtype">bool</span> succeed = <span class="keyword">true</span>);</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_mock_android_s_l_e_s_object.html#a5a65feaefbc9b3acc93197d82de0628b">mockGetInterface</a>(SLInterfaceID <span class="keywordtype">id</span>, std::shared_ptr&lt;MockInterface&gt; <span class="keywordtype">object</span>);</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;    SLObjectItf <a class="code" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_mock_android_s_l_e_s_object.html#a14c9ec773f92b6a4782e3519d8a5f6a7">getObject</a>();</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_mock_android_s_l_e_s_object.html#acb987adea2a61f7135d64e0806ed3fad">MockAndroidSLESObject</a>();</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_mock_android_s_l_e_s_object.html#a99b6a3fbd6025bc62d8af5c1a0009806">~MockAndroidSLESObject</a>();</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;    SLObjectItf_** m_slObject;</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;};</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;<span class="comment">// Static interface map that will be used to mock getInterface.</span></div><div class="line"><a name="l00074"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#acdab8cd219034cb11dceb54b9df9dfd9">   74</a></span>&#160;<span class="keyword">static</span> std::unordered_map&lt;SLInterfaceID, std::shared_ptr&lt;MockInterface&gt;&gt; <a class="code" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#acdab8cd219034cb11dceb54b9df9dfd9">g_interfaces</a>;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div><div class="line"><a name="l00076"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#a4caad209778354141bc5141e45428fc6">   76</a></span>&#160;SLresult <a class="code" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#a4caad209778354141bc5141e45428fc6">realizeSucceed</a>(SLObjectItf <span class="keyword">self</span>, SLboolean async) {</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;    <span class="keywordflow">return</span> SL_RESULT_SUCCESS;</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;}</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;</div><div class="line"><a name="l00080"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#aceca1c3fa744c9b73c6bd9bd6fb53300">   80</a></span>&#160;SLresult <a class="code" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#aceca1c3fa744c9b73c6bd9bd6fb53300">realizeFailed</a>(SLObjectItf <span class="keyword">self</span>, SLboolean async) {</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;    <span class="keywordflow">return</span> SL_RESULT_INTERNAL_ERROR;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;}</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div><div class="line"><a name="l00084"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#a7a3d43df97f399131bc8922ee6260978">   84</a></span>&#160;SLresult <a class="code" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#a7a3d43df97f399131bc8922ee6260978">getMockInterface</a>(SLObjectItf <span class="keyword">self</span>, SLInterfaceID <span class="keywordtype">id</span>, <span class="keywordtype">void</span>* interface) {</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;    <span class="keyword">auto</span> it = <a class="code" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#acdab8cd219034cb11dceb54b9df9dfd9">g_interfaces</a>.find(<span class="keywordtype">id</span>);</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;    <span class="keywordflow">if</span> (it != <a class="code" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#acdab8cd219034cb11dceb54b9df9dfd9">g_interfaces</a>.end() &amp;&amp; it-&gt;second != <span class="keyword">nullptr</span>) {</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;        it-&gt;second-&gt;set(interface);</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;        <span class="keywordflow">return</span> SL_RESULT_SUCCESS;</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;    }</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;    <span class="keywordflow">return</span> SL_RESULT_CONTENT_NOT_FOUND;</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;}</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div><div class="line"><a name="l00093"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_mock_android_s_l_e_s_object.html#a5a65feaefbc9b3acc93197d82de0628b">   93</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_mock_android_s_l_e_s_object.html#a5a65feaefbc9b3acc93197d82de0628b">MockAndroidSLESObject::mockGetInterface</a>(SLInterfaceID <span class="keywordtype">id</span>, std::shared_ptr&lt;MockInterface&gt; <span class="keywordtype">object</span>) {</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;    <a class="code" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#acdab8cd219034cb11dceb54b9df9dfd9">g_interfaces</a>[id] = object;</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;}</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;</div><div class="line"><a name="l00097"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_mock_android_s_l_e_s_object.html#a5a71cd269be06eeca4eba749148f819f">   97</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_mock_android_s_l_e_s_object.html#a5a71cd269be06eeca4eba749148f819f">MockAndroidSLESObject::mockRealize</a>(<span class="keywordtype">bool</span> succeed) {</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;    (*m_slObject)-&gt;Realize = succeed ? <a class="code" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#a4caad209778354141bc5141e45428fc6">realizeSucceed</a> : <a class="code" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#aceca1c3fa744c9b73c6bd9bd6fb53300">realizeFailed</a>;</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;}</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;</div><div class="line"><a name="l00101"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_mock_android_s_l_e_s_object.html#a14c9ec773f92b6a4782e3519d8a5f6a7">  101</a></span>&#160;SLObjectItf <a class="code" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_mock_android_s_l_e_s_object.html#a14c9ec773f92b6a4782e3519d8a5f6a7">MockAndroidSLESObject::getObject</a>() {</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;    <span class="keywordflow">return</span> m_slObject;</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;}</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;</div><div class="line"><a name="l00105"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_mock_android_s_l_e_s_object.html#acb987adea2a61f7135d64e0806ed3fad">  105</a></span>&#160;<a class="code" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_mock_android_s_l_e_s_object.html#acb987adea2a61f7135d64e0806ed3fad">MockAndroidSLESObject::MockAndroidSLESObject</a>() {</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;    <span class="keyword">auto</span> <span class="keywordtype">object</span> = <span class="keyword">new</span> SLObjectItf_();</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;    <span class="keyword">auto</span> objectPtr = <span class="keyword">new</span> SLObjectItf_*();</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;    *objectPtr = object;</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;    m_slObject = objectPtr;</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;    (*m_slObject)-&gt;Realize = <a class="code" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#a4caad209778354141bc5141e45428fc6">realizeSucceed</a>;</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;    (*m_slObject)-&gt;GetInterface = <a class="code" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#a7a3d43df97f399131bc8922ee6260978">getMockInterface</a>;</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;    (*m_slObject)-&gt;Destroy = [](SLObjectItf obj) {};</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;};</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;</div><div class="line"><a name="l00115"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_mock_android_s_l_e_s_object.html#a99b6a3fbd6025bc62d8af5c1a0009806">  115</a></span>&#160;<a class="code" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_mock_android_s_l_e_s_object.html#a99b6a3fbd6025bc62d8af5c1a0009806">MockAndroidSLESObject::~MockAndroidSLESObject</a>() {</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;    <span class="keyword">delete</span> *m_slObject;</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;    <span class="keyword">delete</span> m_slObject;</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;    <a class="code" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#acdab8cd219034cb11dceb54b9df9dfd9">g_interfaces</a>.clear();</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;}</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;}  <span class="comment">// namespace test</span></div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;}  <span class="comment">// namespace androidUtilities</span></div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;}  <span class="comment">// namespace applicationUtilities</span></div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_APPLICATIONUTILITIES_ANDROIDUTILITIES_TEST_ANDROIDUTILITIES_MOCKANDROIDSLESOBJECT_H_</span></div><div class="ttc" id="_mock_android_s_l_e_s_interface_8h_html"><div class="ttname"><a href="_mock_android_s_l_e_s_interface_8h.html">MockAndroidSLESInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_mock_android_s_l_e_s_object_html_acb987adea2a61f7135d64e0806ed3fad"><div class="ttname"><a href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_mock_android_s_l_e_s_object.html#acb987adea2a61f7135d64e0806ed3fad">alexaClientSDK::applicationUtilities::androidUtilities::test::MockAndroidSLESObject::MockAndroidSLESObject</a></div><div class="ttdeci">MockAndroidSLESObject()</div><div class="ttdef"><b>Definition:</b> MockAndroidSLESObject.h:105</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_html_aceca1c3fa744c9b73c6bd9bd6fb53300"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#aceca1c3fa744c9b73c6bd9bd6fb53300">alexaClientSDK::applicationUtilities::androidUtilities::test::realizeFailed</a></div><div class="ttdeci">SLresult realizeFailed(SLObjectItf self, SLboolean async)</div><div class="ttdef"><b>Definition:</b> MockAndroidSLESObject.h:80</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_html_a4caad209778354141bc5141e45428fc6"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#a4caad209778354141bc5141e45428fc6">alexaClientSDK::applicationUtilities::androidUtilities::test::realizeSucceed</a></div><div class="ttdeci">SLresult realizeSucceed(SLObjectItf self, SLboolean async)</div><div class="ttdef"><b>Definition:</b> MockAndroidSLESObject.h:76</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_mock_android_s_l_e_s_object_html_a5a65feaefbc9b3acc93197d82de0628b"><div class="ttname"><a href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_mock_android_s_l_e_s_object.html#a5a65feaefbc9b3acc93197d82de0628b">alexaClientSDK::applicationUtilities::androidUtilities::test::MockAndroidSLESObject::mockGetInterface</a></div><div class="ttdeci">void mockGetInterface(SLInterfaceID id, std::shared_ptr&lt; MockInterface &gt; object)</div><div class="ttdef"><b>Definition:</b> MockAndroidSLESObject.h:93</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_html_acdab8cd219034cb11dceb54b9df9dfd9"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#acdab8cd219034cb11dceb54b9df9dfd9">alexaClientSDK::applicationUtilities::androidUtilities::test::g_interfaces</a></div><div class="ttdeci">static std::unordered_map&lt; SLInterfaceID, std::shared_ptr&lt; MockInterface &gt; &gt; g_interfaces</div><div class="ttdef"><b>Definition:</b> MockAndroidSLESObject.h:74</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_mock_android_s_l_e_s_object_html_a99b6a3fbd6025bc62d8af5c1a0009806"><div class="ttname"><a href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_mock_android_s_l_e_s_object.html#a99b6a3fbd6025bc62d8af5c1a0009806">alexaClientSDK::applicationUtilities::androidUtilities::test::MockAndroidSLESObject::~MockAndroidSLESObject</a></div><div class="ttdeci">~MockAndroidSLESObject()</div><div class="ttdef"><b>Definition:</b> MockAndroidSLESObject.h:115</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_html_a7a3d43df97f399131bc8922ee6260978"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#a7a3d43df97f399131bc8922ee6260978">alexaClientSDK::applicationUtilities::androidUtilities::test::getMockInterface</a></div><div class="ttdeci">SLresult getMockInterface(SLObjectItf self, SLInterfaceID id, void *interface)</div><div class="ttdef"><b>Definition:</b> MockAndroidSLESObject.h:84</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_mock_android_s_l_e_s_object_html_a14c9ec773f92b6a4782e3519d8a5f6a7"><div class="ttname"><a href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_mock_android_s_l_e_s_object.html#a14c9ec773f92b6a4782e3519d8a5f6a7">alexaClientSDK::applicationUtilities::androidUtilities::test::MockAndroidSLESObject::getObject</a></div><div class="ttdeci">SLObjectItf getObject()</div><div class="ttdef"><b>Definition:</b> MockAndroidSLESObject.h:101</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_mock_android_s_l_e_s_object_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_mock_android_s_l_e_s_object.html">alexaClientSDK::applicationUtilities::androidUtilities::test::MockAndroidSLESObject</a></div><div class="ttdef"><b>Definition:</b> MockAndroidSLESObject.h:33</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_mock_android_s_l_e_s_object_html_a5a71cd269be06eeca4eba749148f819f"><div class="ttname"><a href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_mock_android_s_l_e_s_object.html#a5a71cd269be06eeca4eba749148f819f">alexaClientSDK::applicationUtilities::androidUtilities::test::MockAndroidSLESObject::mockRealize</a></div><div class="ttdeci">void mockRealize(bool succeed=true)</div><div class="ttdef"><b>Definition:</b> MockAndroidSLESObject.h:97</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
